Resend payout callback
curl --request POST \
--url https://api.sandbox.pawapay.io/payouts/resend-callback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payoutId": "f4401bd2-1568-4140-bf2d-eb77d2b2b639"
}
'import requests
url = "https://api.sandbox.pawapay.io/payouts/resend-callback"
payload = { "payoutId": "f4401bd2-1568-4140-bf2d-eb77d2b2b639" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payoutId: 'f4401bd2-1568-4140-bf2d-eb77d2b2b639'})
};
fetch('https://api.sandbox.pawapay.io/payouts/resend-callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.pawapay.io/payouts/resend-callback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'payoutId' => 'f4401bd2-1568-4140-bf2d-eb77d2b2b639'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.pawapay.io/payouts/resend-callback"
payload := strings.NewReader("{\n \"payoutId\": \"f4401bd2-1568-4140-bf2d-eb77d2b2b639\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.pawapay.io/payouts/resend-callback")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payoutId\": \"f4401bd2-1568-4140-bf2d-eb77d2b2b639\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.pawapay.io/payouts/resend-callback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payoutId\": \"f4401bd2-1568-4140-bf2d-eb77d2b2b639\"\n}"
response = http.request(request)
puts response.read_body{
"payoutId": "f4401bd2-1568-4140-bf2d-eb77d2b2b639",
"status": "ACCEPTED"
}Payouts
Resend payout callback
POST
/
payouts
/
resend-callback
Resend payout callback
curl --request POST \
--url https://api.sandbox.pawapay.io/payouts/resend-callback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payoutId": "f4401bd2-1568-4140-bf2d-eb77d2b2b639"
}
'import requests
url = "https://api.sandbox.pawapay.io/payouts/resend-callback"
payload = { "payoutId": "f4401bd2-1568-4140-bf2d-eb77d2b2b639" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({payoutId: 'f4401bd2-1568-4140-bf2d-eb77d2b2b639'})
};
fetch('https://api.sandbox.pawapay.io/payouts/resend-callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.pawapay.io/payouts/resend-callback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'payoutId' => 'f4401bd2-1568-4140-bf2d-eb77d2b2b639'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.pawapay.io/payouts/resend-callback"
payload := strings.NewReader("{\n \"payoutId\": \"f4401bd2-1568-4140-bf2d-eb77d2b2b639\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.sandbox.pawapay.io/payouts/resend-callback")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"payoutId\": \"f4401bd2-1568-4140-bf2d-eb77d2b2b639\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.pawapay.io/payouts/resend-callback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"payoutId\": \"f4401bd2-1568-4140-bf2d-eb77d2b2b639\"\n}"
response = http.request(request)
puts response.read_body{
"payoutId": "f4401bd2-1568-4140-bf2d-eb77d2b2b639",
"status": "ACCEPTED"
}Resends the callback for a payout to your configured callback URL. The payout must have reached a final state.
Callbacks can only be resent for payouts initiated within the last 90 days.
The status and details of older payouts remain available through the check payout status endpoint.
Please ensure your implementation of callback handling follows the guidelines in Handling callbacks.
Authorizations
See Authentication.
Body
application/json
A UUIDv4 based ID previously specified by you, that uniquely identifies the payout.
Required string length:
36Example:
"f4401bd2-1568-4140-bf2d-eb77d2b2b639"
Response
Request has been processed by PawaPay
The payoutId of the payout transaction.
Required string length:
36Example:
"f4401bd2-1568-4140-bf2d-eb77d2b2b639"
Possible initiation statuses:
ACCEPTED- The manual action request has been accepted by PawaPay for processing.REJECTED- The manual action request has been rejected by PawaPay. See rejectionReason for details.FAILED- The manual action request has failed during submitting for processing due to internal reasons.
Available options:
ACCEPTED, REJECTED, FAILED Human-readable explanation why request has been rejected
Example:
"Payout with ID \\#f4401bd2-1568-4140-bf2d-eb77d2b2b639 not found"
Was this page helpful?